gregxform(1)

NAME
gregxform - Apply coordinate transformations to lists of point coordinates

SYNOPSIS
gregxform [options] transformation

DESCRIPTION
THIS TOOL IS DEPRECATED. PLEASE USE streamxform INSTEAD.

This tool reads a list of 3D coordinates and applies a coordimnate transformation to them. The transformation can optionally be inverted. The transformed coordinates are then written to standard output.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--accuracy <double>, -a <double>
    Approximation accuracy (maximum error) [Default: 0.01]

--no-check, -x
    Disable accuracy checking and always output something

--forward, -f
    Apply forward transformation (default: backward)

--fallback-inverse <string>, -F <string>
    Fallback inverse transformation (used for initialization and in case of failure) [Default: NONE]

--input-file <string>, -i <string>
    Input path [default: STDIN]. [Default: NONE]

--output-file <string>, -o <string>
    Output path [default: STDOUT]. [Default: NONE]

--affine, -n
    Apply affine transformation even if warp studylist specified

--binary, -b
    Read Binary input and produce binary output (floats)

--jacobian, -j
    Calculate jacobian determinant rather than mapping point (default: false)
        NB: JDet is >1 if the sample volume is larger than the reference

--normalised-jacobian, -J
    Calculate jacobian determinant normalised by global scaling factor (default: false)

--return-global-scaling, -g
    Return global scaling factor ie the scaling due to initial affine

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.